# Get a call (any channel)

Fetches a call (any channel).

```http
GET https://api.pozy.ai/v1/calls/{id}
```

- Area: Phone & voice / Calls
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `id` (string, required)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/calls/6bfebd43ddc270f6d2c56fc5" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/calls/6bfebd43ddc270f6d2c56fc5", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/calls/6bfebd43ddc270f6d2c56fc5",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `call`, object
  - `_id`, string
  - `accountId`, string
  - `conversationId`, string: Can be null
  - `contactId`, string: Can be null
  - `channel`, string: One of `whatsapp`, `pstn`
  - `direction`, string: One of `inbound`, `outbound`
  - `from`, string
  - `to`, string
  - `forwardTo`, string: Can be null
  - `greeting`, string: Can be null
  - `status`, string: One of `ringing`, `answered`, `ended`, `failed`
  - `isVoicemail`, boolean
  - `amd`, boolean
  - `answeredMachine`, boolean: Can be null
  - `forwardCallerId`, string: One of `business`, `caller`
  - `recordingEnabled`, boolean
  - `transcriptionEnabled`, boolean
  - `transcriptionLanguage`, string: One of `auto`, `en`, `es`
  - `startedAt`, string (date-time)
  - `answeredAt`, string (date-time): Can be null
  - `endedAt`, string (date-time): Can be null
  - `transferredAt`, string (date-time): Can be null
  - `durationSeconds`, integer
  - `endReason`, string: One of `hangup`, `no_answer`, `rejected`, `error`
  - `hangupCause`, string: Can be null
  - `sipHangupCause`, string: Can be null
  - `callErrors`, array of object
    - `code`, integer
    - `message`, string
  - `recordingUrl`, string: Can be null
  - `lastTranscriptSnippet`, string: Can be null
  - `transcript`, array of object
    - `text`, string
    - `confidence`, number
    - `at`, string (date-time)
  - `billing`, object
    - `metaMinutes`, number
    - `carrierSeconds`, number
    - `transcriptionSeconds`, number
    - `transcriptionCostUSD`, number
    - `metaCostUSD`, number
    - `carrierCostUSD`, number
    - `recordingCostUSD`, number
    - `billableCostUSD`, number
    - `totalCostUSD`, number
    - `currency`, string
  - `createdAt`, string (date-time)
  - `updatedAt`, string (date-time)
  - `contactName`, string

```json
{
  "call": {
    "_id": "635d87e261ae344ef27fd1df",
    "accountId": "696e0b682d0a31188e7a2ba9",
    "conversationId": "6e525f3820fc636aa96d2ee9",
    "contactId": "642d31f43531ce7d44aa5013",
    "channel": "whatsapp",
    "direction": "inbound",
    "from": "+14155550123",
    "to": "+14155550123",
    "forwardTo": "string",
    "greeting": "string",
    "status": "ringing",
    "isVoicemail": true,
    "amd": true,
    "answeredMachine": true,
    "forwardCallerId": "business",
    "recordingEnabled": true,
    "transcriptionEnabled": true,
    "transcriptionLanguage": "auto",
    "startedAt": "2026-10-02T09:00:00.000Z",
    "answeredAt": "2026-10-02T09:00:00.000Z",
    "endedAt": "2026-10-02T09:00:00.000Z",
    "transferredAt": "2026-10-02T09:00:00.000Z",
    "durationSeconds": 1,
    "endReason": "hangup",
    "hangupCause": "string",
    "sipHangupCause": "string",
    "callErrors": [
      {
        "code": 1,
        "message": "Hello from Pozy"
      }
    ],
    "recordingUrl": "https://pozy.ai/media/example-1.jpg",
    "lastTranscriptSnippet": "string",
    "transcript": [
      {
        "text": "Hello from Pozy",
        "confidence": 12.5,
        "at": "2026-10-02T09:00:00.000Z"
      }
    ],
    "billing": {
      "metaMinutes": 12.5,
      "carrierSeconds": 12.5,
      "transcriptionSeconds": 12.5,
      "transcriptionCostUSD": 12.5,
      "metaCostUSD": 12.5,
      "carrierCostUSD": 12.5,
      "recordingCostUSD": 12.5,
      "billableCostUSD": 12.5,
      "totalCostUSD": 12.5,
      "currency": "USD"
    },
    "createdAt": "2026-10-02T09:00:00.000Z",
    "updatedAt": "2026-10-02T09:00:00.000Z",
    "contactName": "Acme"
  }
}
```
